package com.ztmap.project.zhny.energystoragefdsdycs.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ztmap.framework.aspectj.lang.annotation.Excel;
import com.ztmap.framework.web.domain.BaseEntity;

/**
 * 放电深度与次数对象 t_energy_storage_fdsdycs
 * 
 * @author ztmap
 * @date 2023-10-09
 */
public class TEnergyStorageFdsdycs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 百分比 */
    @Excel(name = "百分比")
    private Double bfb;

    /** 放电深度 */
    @Excel(name = "放电深度")
    private Double fdsd;

    /** 放电次数 */
    @Excel(name = "放电次数")
    private Double fdcs;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setBfb(Double bfb)
    {
        this.bfb = bfb;
    }

    public Double getBfb()
    {
        return bfb;
    }
    public void setFdsd(Double fdsd)
    {
        this.fdsd = fdsd;
    }

    public Double getFdsd()
    {
        return fdsd;
    }
    public void setFdcs(Double fdcs)
    {
        this.fdcs = fdcs;
    }

    public Double getFdcs()
    {
        return fdcs;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bfb", getBfb())
            .append("fdsd", getFdsd())
            .append("fdcs", getFdcs())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .toString();
    }
}
